Loading...
Searching...
No Matches
apr_global_mutex.h File Reference

APR Global Locking Routines. More...

`#include "apr.h"`
`#include "apr_proc_mutex.h"`
`#include "apr_pools.h"`
`#include "apr_errno.h"`
`#include "apr_time.h"`
Include dependency graph for apr_global_mutex.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs

typedef struct apr_global_mutex_t | apr_global_mutex_t

## Functions

apr_status_t | apr_global_mutex_create (apr_global_mutex_t **mutex, const char *fname, apr_lockmech_e mech, apr_pool_t *pool)
apr_status_t | apr_global_mutex_child_init (apr_global_mutex_t **mutex, const char *fname, apr_pool_t *pool)
apr_status_t | apr_global_mutex_lock (apr_global_mutex_t *mutex)
apr_status_t | apr_global_mutex_trylock (apr_global_mutex_t *mutex)
apr_status_t | apr_global_mutex_timedlock (apr_global_mutex_t *mutex, apr_interval_time_t timeout)
apr_status_t | apr_global_mutex_unlock (apr_global_mutex_t *mutex)
apr_status_t | apr_global_mutex_destroy (apr_global_mutex_t *mutex)
const char * | apr_global_mutex_lockfile (apr_global_mutex_t *mutex)
apr_lockmech_e | apr_global_mutex_mech (apr_global_mutex_t *mutex)
const char * | apr_global_mutex_name (apr_global_mutex_t *mutex)
| APR_PERMS_SET_IMPLEMENT (global_mutex)
apr_pool_t * | apr_global_mutex_pool_get (const apr_global_mutex_t *theglobal_mutex)

## Detailed Description

APR Global Locking Routines.